Bug 800350 - s390: ffi.c:756: warning: dereferencing type-punned pointer will break strict-aliasing rules
s390: ffi.c:756: warning: dereferencing type-punned pointer will break strict...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: xulrunner (Show other bugs)
6.1
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Martin Stransky
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-06 06:32 EST by Martin Stransky
Modified: 2013-08-29 10:11 EDT (History)
1 user (show)

See Also:
Fixed In Version: xulrunner-17.0.8-2.el6_4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-29 10:11:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Stransky 2012-03-06 06:32:01 EST
Description of problem:

https://errata.devel.redhat.com/rpmdiff/show/57680?result_id=1001265

1962  src/s390/ffi.c: In function 'ffi_prep_closure_loc':
1963  src/s390/ffi.c:756: warning: dereferencing type-punned pointer will break strict-aliasing rules
Comment 2 RHEL Product and Program Management 2012-07-10 04:00:06 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 3 RHEL Product and Program Management 2012-07-10 22:10:31 EDT
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.
Comment 4 RHEL Product and Program Management 2012-12-14 03:04:13 EST
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 5 Martin Stransky 2013-08-29 10:11:21 EDT
Already fixed in the latest release - xulrunner-17.0.8-2.el6_4

Note You need to log in before you can comment on or make changes to this bug.